%define	api_version	1
%define	lib_major	114
%define	lib_name	%mklibname gsf- %{api_version} %{lib_major}

Summary:	GNOME Structured File library
Name:		libgsf
Version:	1.14.37
Release:	%mkrel 1
Group:		System/Libraries
License:	GPL
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.gnumeric.org
#-------------------------------------------
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: intltool
BuildRequires: gettext
#-------------------------------------------
Obsoletes: 	%name < %version


%description
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}
Summary:  %{summary}
Group: %{group}

%description -n %{lib_name}
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}-devel
Summary: Support files necessary to compile applications with libgsf
Group: Development/Libraries
Requires: %{lib_name} = %{version}
Provides: %{name}-%{api_version}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Libraries, headers, and support files necessary to compile
applications using libgsf.


%prep

%setup -q

%build

%configure2_5x \
--disable-gtk-doc \
--enable-introspection 


%make

%install
rm -rf %{buildroot}
rm -rf $RPM_BUILD_ROOT libgsf.lang

%makeinstall_std

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libgsf
%find_lang libgsf

rm -f $RPM_BUILD_ROOT/%{_libdir}/{*.a,*.la}

%clean
rm -rf %{buildroot}


%files -f libgsf.lang
%defattr(-,root,root)
%doc README
%_bindir/gsf
%_bindir/gsf-vba-dump
%{_bindir}/gsf-office-thumbnailer
%{_mandir}/man1/*
%{_datadir}/thumbnailers/gsf-office.thumbnailer

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libgsf*-%{api_version}.so.%{lib_major}*
%{_libdir}/girepository-1.0/Gsf-1.typelib

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/gsf
%{_libdir}/*.so
%{_datadir}/gir-1.0/Gsf-1.gir
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Wed Nov 16 2016 adrianomorselli <adrianomorselli> 1.14.37-1uplos2016
- rebuild

* Sat Jun 04 2016 bb <bb> 1.14.37-1pclos2016
- update

* Fri Oct 16 2015 bb <bb> 1.14.34-1pclos2015
- update

* Fri Feb 06 2015 bb <bb> 1.14.31-1pclos2015
- update

* Sat Mar 22 2014 bb <bb> 1.14.30-1pclos2014
- update
